aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-extended/glusterfs/files/glusterd-ovp
diff options
context:
space:
mode:
authorHe Zhe <zhe.he@windriver.com>2017-06-28 16:52:48 +0800
committerBruce Ashfield <bruce.ashfield@windriver.com>2017-06-29 15:27:21 -0400
commit1e7567ad8eef3a3b1aa3c60f71d7eff507f6aefa (patch)
tree9910165334e79448e36853130c9e92c473e88eb1 /recipes-extended/glusterfs/files/glusterd-ovp
parent487a535eb568ed9e71da20ad73b8c08892660163 (diff)
downloadmeta-cloud-services-1e7567ad8eef3a3b1aa3c60f71d7eff507f6aefa.tar.gz
meta-cloud-services-1e7567ad8eef3a3b1aa3c60f71d7eff507f6aefa.tar.bz2
meta-cloud-services-1e7567ad8eef3a3b1aa3c60f71d7eff507f6aefa.zip
glusterfs: Move from meta-openstack to meta-cloud-servicespyro
It's not an openstack specific package. Signed-off-by: He Zhe <zhe.he@windriver.com> Signed-off-by: Bruce Ashfield <bruce.ashfield@windriver.com>
Diffstat (limited to 'recipes-extended/glusterfs/files/glusterd-ovp')
-rw-r--r--recipes-extended/glusterfs/files/glusterd-ovp93
1 files changed, 93 insertions, 0 deletions
diff --git a/recipes-extended/glusterfs/files/glusterd-ovp b/recipes-extended/glusterfs/files/glusterd-ovp
new file mode 100644
index 00000000..c0209286
--- /dev/null
+++ b/recipes-extended/glusterfs/files/glusterd-ovp
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# chkconfig: 35 20 80
+# description: Gluster File System service for volume management
+#
+
+# Get function from functions library
+. /etc/init.d/functions
+
+BASE=glusterd
+PIDFILE=/var/run/$BASE.pid
+PID=`test -f $PIDFILE && cat $PIDFILE`
+GLUSTERFSD=glusterfsd
+GLUSTERFS=glusterfs
+GLUSTERD_BIN=/usr/sbin/$BASE
+GLUSTERD_OPTS="--pid-file=$PIDFILE"
+GLUSTERD="$GLUSTERD_BIN $GLUSTERD_OPTS"
+RETVAL=0
+
+# Start the service $BASE
+start()
+{
+ # Force creation of the log directory even on a tmpfs /var/log.
+ mkdir -p /var/log/glusterfs
+
+ start-stop-daemon --stop --test --quiet --pidfile $PIDFILE
+ status=$?
+ if [ $status -eq 0 ]; then
+ echo "glusterd service is already running with pid $PID"
+ exit 1
+ else
+ echo -n $"Starting $BASE:"
+ start-stop-daemon --start --pidfile $PIDFILE \
+ --exec $GLUSTERD_BIN -- "$GLUSTERD_OPTS"
+ RETVAL=$?
+ echo
+ [ $RETVAL -ne 0 ] && exit $RETVAL
+ fi
+}
+
+# Stop the service $BASE
+stop()
+{
+ echo -n $"Stopping $BASE:"
+ start-stop-daemon --stop --test --quiet --pidfile $PIDFILE
+ status=$?
+ if [ $status -eq 0 ]; then
+ start-stop-daemon --stop --quiet --pidfile $PIDFILE
+ [ -w $PIDFILE ] && rm -f $PIDFILE
+ else
+ start-stop-daemon --stop --quiet --name $BASE
+ fi
+
+ echo
+ pidof -c -o %PPID -x $GLUSTERFSD &> /dev/null
+ [ $? -eq 0 ] && start-stop-daemon --stop --quiet --name $GLUSTERFSD
+
+ #pidof -c -o %PPID -x $GLUSTERFS &> /dev/null
+ #[ $? -eq 0 ] && start-stop-daemon --stop --quiet --name $GLUSTERFS
+
+ if [ -f /etc/glusterd/nfs/run/nfs.pid ] ;then
+ pid=`cat /etc/glusterd/nfs/run/nfs.pid`;
+ cmd=`ps -p $pid -o comm=`
+
+ if [ $cmd == "glusterfs" ]; then
+ start-stop-daemon --stop --quiet \
+ --pidfile /etc/glusterd/nfs/run/nfs.pid
+ fi
+ fi
+}
+
+
+### service arguments ###
+case $1 in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $BASE
+ ;;
+ restart | force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart}."
+ exit 1
+esac
+
+exit 0